# Certificate of incorpration OCR

Extraction of details from image/pdf of an certificate of incorpration in real-time.

#### Submit Document

## &#x20;coi\_ocr

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/vision/coi_ocr`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>image_url </td><td>String </td><td>Yes </td><td>Image/pdf Url</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "image_url": "Url or Base64"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b5950b9e-ed44-4529-a18e-f8c8054a5035",
  "status": "completed",
  "result": {
    "cin_number": "U51504RJ2021PTC076451",
    "incorporation_date": "13/08/2021",
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "pan_number": "AAICD6833H",
    "tan_number": "JPRD06659C",
    "address": "D-115, G-2, Sheetal Mangalam City Hathoj, Jaipur, Jaipur, Rajasthan, India, 302012"
  },
  "requested_at": "2026-01-14T10:54:00.469Z",
  "completed_at": "2026-01-14T10:54:00.628Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
    "status": "in_progress",
    "requested_at": "2026-01-14T06:15:03.375Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "COI document URL or Base64 data is missing!",
        "field": "image_url",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "b635bb28-a2f5-4e90-be3c-75c399e2c98f",
  "status": "failed",
  "error": {
    "message": "No COI Certificate detected",
    "code": "ERROR"
  },
  "requested_at": "2026-01-14T11:02:34.045Z",
  "completed_at": "2026-01-14T11:02:37.578Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/vision/coi_ocr`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b5950b9e-ed44-4529-a18e-f8c8054a5035",
  "status": "completed",
  "result": {
    "cin_number": "U51504RJ2021PTC076451",
    "incorporation_date": "13/08/2021",
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "pan_number": "AAICD6833H",
    "tan_number": "JPRD06659C",
    "address": "D-115, G-2, Sheetal Mangalam City Hathoj, Jaipur, Jaipur, Rajasthan, India, 302012"
  },
  "requested_at": "2026-01-14T10:54:00.469Z",
  "completed_at": "2026-01-14T10:54:00.628Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
    "status": "in_progress",
    "requested_at": "2026-01-14T06:15:03.375Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "b635bb28-a2f5-4e90-be3c-75c399e2c98f",
  "status": "failed",
  "error": {
    "message": "No COI Certificate detected",
    "code": "ERROR"
  },
  "requested_at": "2026-01-14T11:02:34.045Z",
  "completed_at": "2026-01-14T11:02:37.578Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-extraction/india/certificate-of-incorpration-ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
